com::lomiri::location::Criteria::Requires Struct Reference

`#include <criteria.h>`

Collaboration diagram for com::lomiri::location::Criteria::Requires:

## Public Attributes

bool | position = true
| The client needs position measurements.
bool | altitude = false
| The client needs altitude measurements.
bool | velocity = false
| The client needs velocity measurments.
bool | heading = false
| The client needs heading measurements.

## Detailed Description

Definition at line 43 of file criteria.h.

## Member Data Documentation

## altitude

bool com::lomiri::location::Criteria::Requires::altitude = false

The client needs altitude measurements.

Definition at line 46 of file criteria.h.

Referenced by core::dbus::Codec< com::lomiri::location::Criteria >::decode_argument(), and core::dbus::Codec< com::lomiri::location::Criteria >::encode_argument().

## heading

bool com::lomiri::location::Criteria::Requires::heading = false

The client needs heading measurements.

Definition at line 48 of file criteria.h.

Referenced by core::dbus::Codec< com::lomiri::location::Criteria >::decode_argument(), and core::dbus::Codec< com::lomiri::location::Criteria >::encode_argument().

## position

bool com::lomiri::location::Criteria::Requires::position = true

The client needs position measurements.

Definition at line 45 of file criteria.h.

Referenced by core::dbus::Codec< com::lomiri::location::Criteria >::decode_argument(), and core::dbus::Codec< com::lomiri::location::Criteria >::encode_argument().

## velocity

bool com::lomiri::location::Criteria::Requires::velocity = false

The client needs velocity measurments.

Definition at line 47 of file criteria.h.

Referenced by core::dbus::Codec< com::lomiri::location::Criteria >::decode_argument(), and core::dbus::Codec< com::lomiri::location::Criteria >::encode_argument().

The documentation for this struct was generated from the following file:

- criteria.h